import { VidSourceBase } from './VidSourceBase';
export class VidSts extends VidSourceBase {
    constructor() {
        super();
        this.mVid = "";
        this.mAccessKeyId = "";
        this.mAccessKeySecret = "";
        this.mSecurityToken = "";
        this.mRegion = "";
        this.nativeGetVid = () => {
            return this.mVid;
        };
        this.nativeSetVid = (c41) => {
            this.mVid = c41;
        };
        this.nativeGetAccessKeyId = () => {
            return this.mAccessKeyId;
        };
        this.nativeSetAccessKeyId = (b41) => {
            this.mAccessKeyId = b41;
        };
        this.nativeGetAccessKeySecret = () => {
            return this.mAccessKeySecret;
        };
        this.nativeSetAccessKeySecret = (a41) => {
            this.mAccessKeySecret = a41;
        };
        this.nativeGetSecurityToken = () => {
            return this.mSecurityToken;
        };
        this.nativeSetSecurityToken = (z40) => {
            this.mSecurityToken = z40;
        };
        this.nativeGetRegion = () => {
            return this.mRegion;
        };
        this.nativeSetRegion = (y40) => {
            this.mRegion = y40;
        };
    }
    setQuality(m40, n40) {
        this.mQuality = m40;
        this.mForceQuality = n40;
    }
    getVid() {
        return this.mVid;
    }
    setVid(l40) {
        this.mVid = l40;
    }
    getSecurityToken() {
        return this.mSecurityToken;
    }
    setSecurityToken(k40) {
        this.mSecurityToken = k40;
    }
    getAccessKeyId() {
        return this.mAccessKeyId;
    }
    setAccessKeyId(j40) {
        this.mAccessKeyId = j40;
    }
    getAccessKeySecret() {
        return this.mAccessKeySecret;
    }
    setAccessKeySecret(i40) {
        this.mAccessKeySecret = i40;
    }
    getRegion() {
        return this.mRegion;
    }
    setRegion(h40) {
        this.mRegion = h40;
    }
}
